Last modified: 2009-06-04 10:00:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18410 - Merge preferences-work branch with trunk
Merge preferences-work branch with trunk
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Andrew Garrett
:
Depends on:
Blocks: global-prefs 18524 5363 14806 16013 17191 18195 18870
  Show dependency treegraph
 
Reported: 2009-04-09 02:21 UTC by Andrew Garrett
Modified: 2009-06-04 10:00 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Andrew Garrett 2009-04-09 02:21:24 UTC
Using this bug to track stuff that I've fixed in preferences-work and which is waiting on a merge.
Comment 1 Andrew Garrett 2009-04-21 15:37:00 UTC
Stuff that still needs to be done:

* Verify that all existing extensions on Wikimedia will work with the new system.
* Add and/or update API preferences module (need to talk to Roan).
* Interface improvements suggested by Parul:
 -- Improve namespace search selector
 -- Space out buttons.

Wondering if there's anything else that a branch merge is waiting on.
Comment 2 Andrew Garrett 2009-04-23 16:27:44 UTC
Gonna do this tomorrow after implementing API preferences module.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links